<?xml version="1.0" encoding="UTF-8"?>
<component>
  <type>Action</type>
  <title>Action_Powertrain</title>
  <library>Action_Powertrain</library>  
  <schedule>
    <offset>0</offset>
    <cycle>1</cycle>
    <response>0</response>
  </schedule>
  <parameters>
	  <parameter>
      <id>TypeDrivetrain</id>
      <type>string</type>
		  <title>TypeDrivetrain</title>
      <unit/>
      <value>FWD</value>
    </parameter>
	  <parameter>
      <id>FrontRatioAWD</id>
      <type>string</type>
		  <title>FrontRatioAWD</title>
      <unit/>
      <value>0.6</value>
    </parameter>
  </parameters>
  <inputs>
    <input>
      <id>0</id>
      <type>LongitudinalSignal</type>
      <title>Longitudinal Control</title>
      <unit></unit>
      <cardinality>1</cardinality>
    </input>
	<input>
      <id>1</id>
      <type>doubleVector</type>
      <title>Wheel Rotation Rate</title>
      <unit></unit>
      <cardinality>1</cardinality>
    </input>
  </inputs>
  <outputs>
    <output>
      <id>0</id>
      <type>doubleVector</type>
      <title>Tire Drive Torque</title>
      <unit></unit>
    </output>
  </outputs>
</component>
